#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x80,0xAB,0x28,0xF1,0x8E,0x66,0xBD,0xB3,0xEA,0x8E,0x5B,0x90,
		0x45,0x68,0xD0,0x58,0x7B,0x25,0xFD,0x38,0x2E,0xF4,0xBA,0xEA,
		0x0F,0xA0,0xB5,0xCF,0xA5,0xCD,0xA7,0x52,0x08,0xF9,0x66,0x4D,
		0x90,0xA9,0xBA,0x92,0xE3,0x4E,0x02,0x70,0xBD,0xAB,0xFA,0x7F,
		0x66,0x8B,0xE1,0x86,0x06,0x4C,0x34,0xE9,0x8F,0x70,0x75,0xEF,
		0x67,0x0B,0x24,0x5F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
